<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Edit Product</title>
    <link rel="stylesheet" href="/edit.css">
</head>
<body>
    <div class="container">
        <h1>Edit Product</h1>
        <form id="editProductForm" action="/products/<%= singleProduct._id %>?_method=PUT" method="POST">
            <label for="productName">Product Name:</label>
            <input type="text" id="productName" name="p_Name" value="<%= singleProduct.p_Name %>" required>

            <label for="productRating">Rating:</label>
            <input type="number" id="productRating" name="p_rating" min="1" max="5" step="0.1" value="<%= singleProduct.p_rating %>" required>

            <label for="productInfo">Product Info:</label>
            <textarea id="productInfo" name="p_Info" required><%= singleProduct.p_Info %></textarea>

            <label for="productPrice">Price:</label>
            <input type="number" id="productPrice" name="p_Price" step="0.01" value="<%= singleProduct.p_Price %>" required>

            <button type="submit">Update Product</button>
        </form>
    </div>
</body>
</html>
